Bug 409731 - wine doesn't work correctly when compiled against libXi
wine doesn't work correctly when compiled against libXi
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libXi (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
http://bugs.winehq.org/show_bug.cgi?i...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 22:55 EST by Konstantin Svist
Modified: 2014-06-18 05:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 15:24:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Svist 2007-12-03 22:55:13 EST
Description of problem:
Allowing wine to link to libXi causes some programs to become un-operational.
For example, openCanvas 1.1 b72.

There's already a bug for this in wine bug db (see URL), but I'm not at all
certain which side causes the problem (wine or libXi).


How reproducible:
always

Steps to Reproduce:
1. Compile wine with libXi support (or use wine from Fedora repositories)
2. download openCanvas 1.1b72 from http://wistinga.online.fr/opencanvas/
(freeware windows application)
3. run the program
  
Actual results:
Error message shows up in the application, in an infinite loop, prevention it
from starting.

Expected results:
When wine is compiled without libXi being available (or made unavailable though
wine's ./configure script), the application starts normally.
Comment 1 Konstantin Svist 2007-12-05 19:11:42 EST
err.. maybe i should've filed this against wine package..?
Comment 2 Konstantin Svist 2008-02-06 15:24:44 EST
There was apparently a problem in a series of wine builds. It has been fixed in
the latest releases

Note You need to log in before you can comment on or make changes to this bug.